#
# spec file for package nitrogen
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           nitrogen
Version:        1.5.2
Release:        1.16
Summary:        A background browser and setter for X windows
License:        GPL-2.0
Group:          System/X11/Utilities
Url:            http://projects.l3ib.org/nitrogen/
Source0:        http://projects.l3ib.org/nitrogen/files/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRequires:  ImageMagick
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  gtk2-devel
BuildRequires:  gtkmm2-devel
BuildRequires:  pkgconfig(x11)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Nitrogen is a background browser and setter for X windows. It is written in C++
using the gtkmm toolkit. It can be used in two modes: browser and recall.
Nitrogen has been in development for over 2 years, due to real life and
laziness. For more info, check out the features section.

%prep
%setup -q
pushd data/icons
convert -resize 16x16\! wallpaper-centered-16.png wallpaper-centered-16.png
convert -resize 16x16\! wallpaper-tiled-16.png wallpaper-tiled-16.png
convert -resize 16x16\! wallpaper-zoomed-16.png wallpaper-zoomed-16.png
convert -resize 16x16\! wallpaper-scaled-16.png wallpaper-scaled-16.png
popd


%build
export CXXFLAGS="%{optflags}"
export GTK2_LIBS=-lX11
%configure
make %{?_smp_mflags}


%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m 644 data/icons/%{name}-48.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file %{name} Settings DesktopSettings
%fdupes -s %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/nitrogen
%{_datadir}/applications/nitrogen.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/pixmaps/nitrogen.png
%{_mandir}/man1/nitrogen.1.gz

%changelog
* Sat May 21 2016 aloisio@gmx.com
- Update to version 1.5.2
  * Fixed bug in Xinerama mode where X resources would be leaked on
    every set. Thanks to Cloudef for the fix.
  * Finnish translation (thx Siiseli Koulutus)
  * Several small fixes pertaining to substrings, improvements to
    GNOME setting mode (thx Евдокимов Сергей)
  * Small fixes for thumbnail generation speed and inotify flag
    problems.
- Fixed build
- Spec cleanup
* Fri Feb  5 2010 detlef@links2linux.de
- initial build for PackMan <1.5.1>
